<template>
  <div class="advance">
    <el-dialog
      :title="'推进'"
      append-to-body
      :visible.sync="commonConfig.visible"
      :width="dialogWidth"
      :before-close="handleClose"
      custom-class="advance-dialog"
    >
      <div class="content">
        <el-radio-group v-model="radio">
          <div class="one">
            <el-radio :label="1">
              <span>推进到下一阶段</span>
              <el-select v-model="value" size="mini" disabled>
                <el-option v-for="(item, index) in options" :key="index" :label="item" :value="item"> </el-option>
              </el-select>
            </el-radio>
          </div>
          <div class="two">
            <el-radio :label="2">
              <span>推进到指定阶段</span>
              <el-select v-model="value" size="mini">
                <el-option v-for="(item, index) in options" :key="index" :label="item" :value="item"> </el-option>
              </el-select>
            </el-radio>
          </div>
        </el-radio-group>
      </div>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" size="small" @click="saveClick('form')">推进</el-button>
        <el-button size="small" @click="commonConfig.visible = false">取消</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "DetailAdvanceDialog",
  props: {
    advanceConfig: {
      type: Object,
      default: () => {
        return {
          visible: false,
          active: "需求分析"
        }
      }
    }
  },
  components: {},
  computed: {},
  data() {
    return {
      allOptions: ["初期沟通", "需求分析", "方案报价", "商务谈判", "成功结案", "失败结案"],
      dialogWidth: "25%",
      radio: 1,
      commonConfig: this.advanceConfig,
      value: "",
      options: ["初期沟通", "需求分析", "方案报价", "商务谈判", "成功结案", "失败结案"]
    }
  },
  watch: {},
  created() {
    this.setData()
  },
  methods: {
    setData() {
      console.log(this.commonConfig.active)
      this.allOptions.map((item, index) => {
        if (item === this.commonConfig.active) {
          console.log(index)
          this.value = this.allOptions[index + 1]
          this.options.splice(index, 1)
        }
      })
    },
    handleClose() {
      this.commonConfig.visible = false
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
::v-deep {
  .advance-dialog .el-dialog__body {
    padding: 10px 20px;
    .content {
      .el-select {
        margin-left: 10px;
      }
      .two {
        margin-top: 15px;
      }
    }
    .dialog-footer {
      background-color: #f5f5f5;
      height: 55px;
      line-height: 55px;
    }
  }
}
</style>
